Smart Agent Teams
EndpointsAuthentication

Login With Google

Sign in with Google Verifies a Google ID token and signs in the account with that email, creating it on first use. Only addresses Google has verified are accepted.

POST
/api/login/google

Sign in with Google

Verifies a Google ID token and signs in the account with that email, creating it on first use. Only addresses Google has verified are accepted.

Request Body

application/json
  1. body

Sign in with the ID token Google Identity Services gave the browser

credential*Credential
Length20 <= length <= 4096

Response Body

Successful Response

application/json
  1. response

Login response

access_token*Access Token
refresh_token*Refresh Token
user*

User information response

curl -X POST "https://example.com/api/login/google" \  -H "Content-Type: application/json" \  -d '{    "credential": "stringstringstringst"  }'
{  "access_token": "string",  "refresh_token": "string",  "user": {    "avatar_url": "string",    "created_at": "2019-08-24T14:15:22Z",    "email": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "preferences": {      "accent": "royal",      "avatar_color": "royal",      "currency": "string",      "dashboard": {        "hidden": [          "string"        ],        "order": [          "string"        ],        "range_days": 7      },      "date_style": "short",      "density": "comfortable",      "favorites": {        "agents": [          "ce0951b6-fac0-429c-be9b-31a1ce20b503"        ],        "projects": [          "eaf709ed-5ed9-42a1-a0ca-f919f2d075df"        ]      },      "locale": "string",      "sidebar_collapsed": true,      "tasks": {        "saved_views": [          {            "id": "string",            "name": "string",            "query": ""          }        ],        "view": "list"      },      "theme": "light",      "timezone": "string",      "version": 1    }  }}